Subject: bug#63778: closed (Re: bug#63778: [PATCH] Use comint-pager in eshell)

From: [email-masked] (GNU bug Tracking System)
Date: Wed, 23 Aug 2023 23:59:02 +0000

Your bug report

#63778: [PATCH] Use comint-pager in eshell

which was filed against the emacs package, has been closed.

The explanation is attached below, along with your original report.
If you require more details, please reply to [email-masked].

-- 
63778: https://debbugs.gnu.org/cgi/bugreport.cgi?bug=63778
GNU Bug Tracking System
Contact [email-masked] with problems

Subject: Re: bug#63778: [PATCH] Use comint-pager in eshell
From: Jim Porter <[email-masked]>
To: Morgan Smith <[email-masked]>
Cc: [email-masked]
Date: Wed, 23 Aug 2023 16:58:07 -0700
List-Id: <debbugs-submit.debbugs.gnu.org>

Version: 30.1

On 5/29/2023 10:14 PM, Jim Porter wrote:
> There's probably a nice way to do this, but it might involve some tweaks 
> to how Eshell handles variable aliases in general. I'll look into it more.

Sorry for completely forgetting about this bug for a few months; I had 
some trouble getting a patch to work, then got busy with other things, 
and never picked it back up.

I've now merged an updated version of this patch as 08901e93797, so 
marking this done.

This implementation should be 100% backwards compatible, since users 
have to opt in to setting the new 'comint-pager' option, and even if you 
do that, it's easy enough to opt back out for just Eshell (set 
'comint-pager' buffer-locally to nil in 'eshell-mode-hook' or similar).

Subject: [PATCH] Use comint-pager in eshell
From: Morgan Smith <[email-masked]>
To: [email-masked]
Date: Sun, 28 May 2023 18:45:22 -0400
List-Id: <debbugs-submit.debbugs.gnu.org>

Hello!

I know many people set PAGER=cat for eshell so I wanted to add support
to eshell for this recent feature that was added (comint-pager).

>From 9c22f6cc362d3ddb9fedffe4def4d80ddbe96598 Mon Sep 17 00:00:00 2001
From: Morgan Smith <[email-masked]>
Date: Sun, 28 May 2023 18:40:49 -0400
Subject: [PATCH] Use comint-pager in eshell

* lisp/eshell/esh-var.el (eshell-variable-aliases-list): Set $PAGER
environment variable from comint-pager variable
---
 lisp/eshell/esh-var.el | 1 +
 1 file changed, 1 insertion(+)

diff --git a/lisp/eshell/esh-var.el b/lisp/eshell/esh-var.el
index 7dcaff1e24f..fd2f92a0c31 100644
--- a/lisp/eshell/esh-var.el
+++ b/lisp/eshell/esh-var.el
@@ -162,6 +162,7 @@ if they are quoted with a backslash."
     ("COLUMNS" ,(lambda () (window-body-width nil 'remap)) t t)
     ("LINES" ,(lambda () (window-body-height nil 'remap)) t t)
     ("INSIDE_EMACS" eshell-inside-emacs t)
+    ("PAGER" comint-pager t)
     ("UID" ,(lambda () (file-user-uid)) nil t)
 
     ;; for esh-ext.el
-- 
2.40.1

Thanks,

Morgan